VCLEAN(9)

NAME
vclean - disassociate the underlying file system from a vnode

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vclean(struct vnode *vp, int flags, struct proc *p);

DESCRIPTION
The vclean() function clears any VM and buffer data associated with the vnode vp and reclaims it from the underlying file system.

Its arguments are:

vp  The vnode to be cleaned.

flags
    The flags indicating how the vnode should be handled.

    DOCLOSE
        If this flag is set, vclean() will call vinvalbuf(9) on the vnode. If the vnode is active, it will be closed and inactivated in the underlying file system.

p   The process responsible for this call.

On exit, the v_tag field of the vnode will be set to VT_NON, and if the vnode was active, it will be placed on the vnode free list.

SEE ALSO
vinvalbuf(9), vnode(9)

HISTORY
This man page was originally written for OpenBSD.